using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace archiveLP
{
   public partial class cookieForm : Form
   {
      archiveLP mainForm;

      public cookieForm(archiveLP caller)
      {
         InitializeComponent();

         mainForm = caller;

         // 'Load' settings from main form
         radManualCook.Checked = mainForm.useManualCook;

         chkCookiesIE.Checked = mainForm.autoCookIE;
         chkCookiesFF2.Checked = mainForm.autoCookFF2;
         chkCookiesFF3.Checked = mainForm.autoCookFF3;
         chkCookiesOpera.Checked = mainForm.autoCookOpera;

         txtUserCookie.Text = mainForm.manualCookUser;
         txtPassCookie.Text = mainForm.manualCookPwd;
      }

      private void btnCancel_Click(object sender, EventArgs e)
      {
         this.Close();
      }

      private void btnOK_Click(object sender, EventArgs e)
      {
         // 'Save' settings to main form
         mainForm.useManualCook = radManualCook.Checked;

         mainForm.manualCookUser = txtUserCookie.Text;
         mainForm.manualCookPwd = txtPassCookie.Text;

         mainForm.autoCookIE = chkCookiesIE.Checked;
         mainForm.autoCookFF2 = chkCookiesFF2.Checked;
         mainForm.autoCookFF3 = chkCookiesFF3.Checked;
         mainForm.autoCookOpera = chkCookiesOpera.Checked;

         this.Close();
      }

      private void radCook_CheckedChanged(object sender, EventArgs e)
      {
         cookieBoxA.Enabled = radAutoCook.Checked;
         cookieBoxM.Enabled = radManualCook.Checked;
      }

      private void btnTestCookies_Click(object sender, EventArgs e)
      {
         string resultText = "Browser: User ID - Password Cookie\n";
         SAcookies cRes;
         
         cRes = mainForm.getCookiesIE();
         if (cRes.bbuserid == -1)
         {
            resultText += "\nInternet Explorer: not found";
         }
         else
         {
            resultText += "\nInternet Explorer: " + cRes.bbuserid + " - " + cRes.bbpassword;
         }

         cRes = mainForm.getCookiesFF2();
         if (cRes.bbuserid == -1)
         {
            resultText += "\nFirefox 2: not found";
         }
         else
         {
            resultText += "\nFirefox 2: " + cRes.bbuserid + " - " + cRes.bbpassword;
         }

         cRes = mainForm.getCookiesFF3();
         if (cRes.bbuserid == -1)
         {
            resultText += "\nFirefox 3: not found";
         }
         else
         {
            resultText += "\nFirefox 3: " + cRes.bbuserid + " - " + cRes.bbpassword;
         }

         cRes = mainForm.getCookiesOpera();
         if (cRes.bbuserid == -1)
         {
            resultText += "\nOpera: not found";
         }
         else
         {
            resultText += "\nOpera: " + cRes.bbuserid + " - " + cRes.bbpassword;
         }

         MessageBox.Show(resultText, "Cookie Test Result");
      }
   }
}