using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace archiveLP
{
   public partial class listsForm : Form
   {
      archiveLP mainForm;

      public listsForm(archiveLP caller)
      {
         InitializeComponent();

         mainForm = caller;

         // Load settings from main form
         listVidSiteNames.Items.Clear();
         listVidSiteNames.Items.AddRange(mainForm.videoSiteNames);
         listVidSiteURLs.Items.Clear();
         listVidSiteURLs.Items.AddRange(mainForm.videoSiteURLs);

         listChapWords.Items.Clear();
         listChapWords.Items.AddRange(mainForm.chapterWords);
      }

      private void btnCancel_Click(object sender, EventArgs e)
      {
         this.Close();
      }

      private void btnOK_Click(object sender, EventArgs e)
      {
         // Save settings to main form
         mainForm.videoSiteNames = new string[listVidSiteNames.Items.Count];
         listVidSiteNames.Items.CopyTo(mainForm.videoSiteNames, 0);
         mainForm.videoSiteURLs = new string[listVidSiteURLs.Items.Count];
         listVidSiteURLs.Items.CopyTo(mainForm.videoSiteURLs, 0);
         mainForm.chapterWords = new string[listChapWords.Items.Count];
         listChapWords.Items.CopyTo(mainForm.chapterWords, 0);

         this.Close();
      }

      private void btnReset_Click(object sender, EventArgs e)
      {
         listVidSiteNames.Items.Clear();
         listVidSiteNames.Items.AddRange(archiveLP.videoSiteNamesDefault);
         listVidSiteURLs.Items.Clear();
         listVidSiteURLs.Items.AddRange(archiveLP.videoSiteURLsDefault);
         listChapWords.Items.Clear();
         listChapWords.Items.AddRange(archiveLP.chapterWordsDefault);
      }

      private void btnAddVidSite_Click(object sender, EventArgs e)
      {
         string vNameTmp;

         inputForm iFrm = new inputForm("Enter new video site's name (eg Vimeo)");
         DialogResult dRes = iFrm.ShowDialog();

         if (dRes == DialogResult.OK && archiveLP.getInput != "")
            vNameTmp = archiveLP.getInput;
         else
            return;

         iFrm = new inputForm("Enter new video site partial URL (eg vimeo.com)");
         dRes = iFrm.ShowDialog();

         if (dRes == DialogResult.OK && archiveLP.getInput != "")
         {
            listVidSiteNames.Items.Add(vNameTmp);
            listVidSiteURLs.Items.Add(archiveLP.getInput);
         }
      }

      private void btnRemoveVidSite_Click(object sender, EventArgs e)
      {
         int sI = listVidSiteNames.SelectedIndex;
         if (sI != -1)
         {
            listVidSiteURLs.Items.RemoveAt(sI);
            listVidSiteNames.Items.RemoveAt(sI);
         }
      }

      private void btnRemoveChapWord_Click(object sender, EventArgs e)
      {
         if (listChapWords.SelectedIndex != -1)
            listChapWords.Items.RemoveAt(listChapWords.SelectedIndex);
      }

      private void btnAddChapWord_Click(object sender, EventArgs e)
      {
         inputForm iFrm = new inputForm("Enter new chapter-marking word");

         DialogResult dRes = iFrm.ShowDialog();
         if (dRes == DialogResult.OK && archiveLP.getInput != "")
            listChapWords.Items.Add(archiveLP.getInput);
      }

      private void listVidSite_MouseDown(object sender, MouseEventArgs e)
      {
         // Need this check because I use this event for MouseMove too (because of dragging)
         if (e.Button != MouseButtons.None)
         {
            ListBox clickedBox = (ListBox)sender;
            int iSel = clickedBox.IndexFromPoint(e.X, e.Y);
            if (iSel != ListBox.NoMatches)
            {
               listVidSiteNames.SelectedIndex = iSel;
               listVidSiteURLs.SelectedIndex = iSel;
            }
         }
      }
   }
}